<div class="uk-card uk-card-default uk-card-body uk-margin-top uk-margin-bottom">
  <h3 class="uk-card-title"></h3>
  <form [formGroup]="form">
    <div class="uk-margin">
      <label class="uk-form-label" for="text">Text</label>
      <div class="uk-form-controls">
        <textarea id="text" class="uk-textarea" placeholder="Example text 123" formControlName="text"></textarea>
      </div>
    </div>
    <div class="uk-margin">
      <a class="uk-button uk-button-primary" (click)="encrypt()">Encode <span uk-icon="lock"></span></a>
      <a class="uk-button uk-button-secondary" (click)="decrypt()">Decode <span uk-icon="unlock"></span></a>
    </div>
    <h2 class="uk-margin-top">
      Key config <span uk-icon="cog"></span>
    </h2>
    <div class="uk-margin uk-grid-small" uk-grid>
      <div class="uk-display-flex">
        <div class="uk-margin">
          <label class="uk-form-label uk-flex" for="char">Key index</label>
          <div class="uk-form-controls uk-flex">
            <input class="uk-input" id="char" type="input" placeholder="Value" formControlName="keyChar">
            <a class="uk-button uk-button-default uk-margin-left" *ngIf="keyChar.valid && !has(keyChar.value)" (click)="key.push(_.parseInt(keyChar.value))">Add</a>
          </div>
        </div>
      </div>
    </div>
  </form>
  <div class="uk-margin">
    <table class="uk-table uk-table-justify uk-table-divider">
      <thead>
      <tr>
        <th class="uk-width-small">Index</th>
        <th class="uk-width-small">Key</th>
        <th></th>
      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let item of key; index as i">
        <td>{{i}}</td>
        <td>{{item}}</td>
        <td><a class="uk-button uk-button-default" (click)="remove(item)">Remove</a></td>
      </tr>
      </tbody>
    </table>
  </div>
</div>
